KFileMetaPropsPlugin class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFileMetaPropsPlugin Class Reference

`#include <kmetaprops.h>`

Inheritance diagram for KFileMetaPropsPlugin:

[legend]
Collaboration diagram for KFileMetaPropsPlugin:

[legend]
List of all members.

## Public Member Functions
| KFileMetaPropsPlugin (KPropertiesDialog *_props)
| Constructor.
virtual void | applyChanges ()
| Applies all changes to the file.
## Static Public Member Functions
bool | supports (KFileItemList _items)
| Tests whether the file specified by _items has a 'MetaInfo' plugin.

## Detailed Description

'MetaProps plugin In this plugin you can modify meta information like id3 tags of mp3 files

Definition at line 32 of file kmetaprops.h.

## Constructor & Destructor Documentation

KFileMetaPropsPlugin::KFileMetaPropsPlugin | ( | KPropertiesDialog * | _props | ) |

| Constructor. Definition at line 78 of file kmetaprops.cpp. References QPtrList::count(), KPropertiesDialog::item(), KPropertiesDialog::items(), KPropertiesDialog::kurl(), KFileItem::metaInfo(), KURL::path(), KPropsDlgPlugin::properties, and KFileItem::setMetaInfo().

## Member Function Documentation

void KFileMetaPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

| Applies all changes to the file. This function is called when the user presses 'Ok'. The last plugin inserted is called first. Reimplemented from KPropsDlgPlugin. Definition at line 250 of file kmetaprops.cpp. References KFileMetaInfoWidget::apply(), and QPtrListIterator::current().

bool KFileMetaPropsPlugin::supports | ( | KFileItemList | _items | ) | `[static]`

| Tests whether the file specified by _items has a 'MetaInfo' plugin. Definition at line 241 of file kmetaprops.cpp. References QPtrList::count(). Referenced by KPropertiesDialog::canDisplay().

The documentation for this class was generated from the following files:

- kmetaprops.h
- kmetaprops.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:17:56 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001